
local _, MFAC = ... -- Pulls back the Addon-Local Variables and store them locally.

MFAC.DebugEnabled = false;

-- MFAC.ToExalted is used by the Detail frame to show total rep gain to reach Exalted
MFAC.ToExalted = {}
MFAC.ToExalted[0] = 84000;
MFAC.ToExalted[1] = 48000;	-- working on Hated -> Hostile, base offset 21k+12k+6k+3k+3k+3k
MFAC.ToExalted[2] = 45000;	-- working on Hostile -> Unfriendly, base offset 21k+12k+6k+3k+3k
MFAC.ToExalted[3] = 42000;	-- working on Unfriendly -> Neutral, base offset 21k+12k+6k+3k
MFAC.ToExalted[4] = 39000;	-- working on Neutral -> Friendly, base offset 21k+12k+6k
MFAC.ToExalted[5] = 33000;	-- working on Friendly -> Honored, base offset 21k+12k
MFAC.ToExalted[6] = 21000;	-- working on Honored -> Revered, base offset 21k
MFAC.ToExalted[7] = 0;	-- working on Revered -> Exalted, so no base offset
MFAC.ToExalted[8] = 0;	-- already at Exalted -> no offset

MFAC.RepGroupByOptions = {
	Expansion = 1,
	Standing = 2,
};
MFAC.RepHeaderSortByOptions = {
	None = 1,
	Reverse = 2,
};

-- Colours
MFAC.Colours = {
	Help = 		"|cFFFFFF7F",
	RepGain = 	"|cFF7F7FFF",
	RepLoss = 	"|cFFFF7F7F",
	NewStanding = "|cFF6060C0",
	Bag = "|cFFC0FFC0",
	Bank = "|cFFFFFF7F",
	Quest = "|cFFC0FFC0",
	Highlight = "|cFF00FF00",
	ActiveQuest = "|cFFFF7F7F",
	Lowlight = "|cFFFF3F3F",
	Suppress = "|cFF7F7F7F",
	Enabled = "|cFF4FFF4F",
	Disabled = "|cFFFF7F7F",
	NormalEntry = "|cFFFFFFFF",
};

--Professions
MFAC.LimitType = {
	Alchemy 			= math.pow(2, 0),
	Archaeology 	= math.pow(2, 1),
	Blacksmithing 	= math.pow(2, 2),
	Cooking 			= math.pow(2, 3),
	Enchanting 		= math.pow(2, 4),
	Engineering 	= math.pow(2, 5),
	Fishing 			= math.pow(2, 7),
	Herbalism 		= math.pow(2, 8),
	Inscription 	= math.pow(2, 9),
	Tailoring 		= math.pow(2, 10),
	Jewelcrafting	= math.pow(2, 11),
	Leatherworking = math.pow(2, 12),
	Mining 			= math.pow(2, 13),
	Skinning 		= math.pow(2, 14),
	FirstAid			= math.pow(2, 15),
};
MFAC.LimitType.Gather = MFAC.LimitType.Mining + MFAC.LimitType.Herbalism + MFAC.LimitType.Skinning;

MFAC.ClassID = {
	DeathKnight = 6,
}

MFAC.RaceID = {
	Human = 1,
}
--These are the Blizzard defined Skill Line's that represent the various trade skills
MFAC.SkillLine = {
	Alchemy = 171,
	Archaeology = 794,
	Blacksmithing = 164,
	Cooking = 184,
	Enchanting = 333,
	Engineering = 202,
	Fishing = 356,
	Herbalism = 182,
	Inscription = 773,
	Jewelcrafting = 755,
	Leatherworking = 165,
	Mining = 186,
	Skinning = 393,
	Tailoring = 197,
};

-- Skill Tracking: What skills does the player have
MFAC.SkillTrackBits = 0;


MuffinFactionizer = {};

MFAC.CacheMiss = {};

MuffinFactionizer.zone = {
--Kalimdor
Kalimdor = 12,						-- Kalimdor
AhnQiraj_The_Fallen_Kingdom = 327,	-- Ahn'Qiraj: The Fallen Kingdom
Ammen_Vale = 468,					-- Ammen Vale
Ashenvale = 63,						-- Ashenvale
Azshara = 76,						-- Azshara
Azuremyst_Isle = 97,				-- Azuremyst Isle
Bloodmyst_Isle = 106,				-- Bloodmyst Isle
Camp_Narache = 462,					-- Camp Narache
Darkshore = 62,						-- Darkshore
Darnassus = 89,					-- Darnassus
Desolace = 66,						-- Desolace
Durotar = 1,						-- Durotar
Dustwallow_Marsh = 416,				-- Dustwallow Marsh
Echo_Isles = 463,					-- Echo Isles
Felwood = 77,						-- Felwood
Feralas = 69,						-- Feralas
Molten_Front = 338,					-- Molten Front
Moonglade = 80,					-- Moonglade
Mount_Hyjal = 198,					-- Mount Hyjal
Mulgore = 7,						-- Mulgore
Northern_Barrens = 10,				-- Northern Barrens
Orgrimmar = 85,					-- Orgrimmar
Shadowglen = 460,					-- Shadowglen
Silithus = 81,						-- Silithus
Southern_Barrens = 199,				-- Southern Barrens
Stonetalon_Mountains = 65,			-- Stonetalon Mountains
Tanaris = 71,						-- Tanaris
Teldrassil = 57,					-- Teldrassil
The_Exodar = 103,					-- The Exodar
Thousand_Needles = 64,				-- Thousand Needles
Thunder_Bluff = 88,				-- Thunder Bluff
Uldum = 249,						-- Uldum
UnGoro_Crater = 78,				-- Un'Goro Crater
Valley_of_Trials = 461,				-- Valley of Trials
Winterspring = 83,					-- Winterspring

-- Eastern Kingdoms
Eastern_Kingdoms = 985,				-- Eastern Kingdoms
Abyssal_Depths = 204,				-- Abyssal Depths
Arathi_Highlands = 14,				-- Arathi Highlands
Badlands = 15,						-- Badlands
Blasted_Lands = 17,					-- Blasted Lands
Burning_Steppes = 36,				-- Burning Steppes
Coldridge_Valley = 427,				-- Coldridge Valley
Deadwind_Pass = 42,					-- Deadwind Pass
Deathknell = 465,					-- Deathknell
Dun_Morogh = 523,					-- Dun Morogh
Duskwood = 47,						-- Duskwood
Eastern_Plaguelands = 23,			-- Eastern Plaguelands
Elwynn_Forest = 37,					-- Elwynn Forest
Eversong_Woods = 94,				-- Eversong Woods
Ghostlands = 95,					-- Ghostlands
Gilneas = 179,						-- Gilneas
Gilneas_City = 179,					-- Gilneas City
Hillsbrad_Foothills = 25,			-- Hillsbrad Foothills
Ironforge = 87,					-- Ironforge
Isle_of_QuelDanas = 122,			-- Isle of Quel'Danas
Kelpthar_Forest = 201,				-- Kelp'thar Forest
Loch_Modan = 48,					-- Loch Modan
New_Tinkertown = 469,				-- New Tinkertown
Northern_Stranglethorn = 50,		-- Northern Stranglethorn
Northshire = 425,					-- Northshire
Redridge_Mountains = 49,			-- Redridge Mountains
Ruins_of_Gilneas = 217,				-- Ruins of Gilneas
Ruins_of_Gilneas_City = 218,		-- Ruins of Gilneas City
Searing_Gorge = 32,					-- Searing Gorge
Shimmering_Expanse = 205,			-- Shimmering Expanse
Silvermoon_City = 110,				-- Silvermoon City
Silverpine_Forest = 21,				-- Silverpine Forest
Stormwind_City = 84,				-- Stormwind City
Stranglethorn_Vale = 224,			-- Stranglethorn Vale
Sunstrider_Isle = 467,				-- Sunstrider Isle
Swamp_of_Sorrows = 51,				-- Swamp of Sorrows
The_Cape_of_Stranglethorn = 210,	-- The Cape of Stranglethorn
The_Hinterlands = 26,				-- The Hinterlands
The_Scarlet_Enclave = 124,			-- The Scarlet Enclave
Tirisfal_Glades = 997,				-- Tirisfal Glades
Tol_Barad = 244,					-- Tol Barad
Tol_Barad_Peninsula = 245,			-- Tol Barad Peninsula
Twilight_Highlands = 241,			-- Twilight Highlands
Undercity = 90,					-- Undercity
Vashjir = 203,						-- Vashj'ir
Western_Plaguelands = 22,			-- Western Plaguelands
Westfall = 52,						-- Westfall
Wetlands = 56,						-- Wetlands

-- Outland
Outland = 101,						-- Outland
Blades_Edge_Mountains = 105,		-- Blade's Edge Mountains
Hellfire_Peninsula = 100,			-- Hellfire Peninsula
Nagrand = 107,						-- Nagrand
Netherstorm = 109,					-- Netherstorm
Shadowmoon_Valley = 104,			-- Shadowmoon Valley
Shattrath_City = 111,				-- Shattrath City
Terokkar_Forest = 108,				-- Terokkar Forest
Zangarmarsh = 102,					-- Zangarmarsh

-- Northrend
Northrend = 113,					-- Northrend
Borean_Tundra = 114,				-- Borean Tundra
Crystalsong_Forest = 127,			-- Crystalsong Forest
Dalaran = 41,						-- Dalaran
Dragonblight = 115,					-- Dragonblight
Grizzly_Hills = 116,				-- Grizzly Hills
Howling_Fjord = 117,				-- Howling Fjord
Hrothgars_Landing = 170,			-- Hrothgar's Landing
Icecrown = 118,						-- Icecrown
Sholazar_Basin = 119,				-- Sholazar Basin
The_Storm_Peaks = 120,				-- The Storm Peaks
Wintergrasp = 123,					-- Wintergrasp
ZulDrak = 121,						-- Zul'Drak

-- The Maelstrom
The_Maelstrom = 276,				-- The Maelstrom
Deepholm = 207,						-- Deepholm
Kezan = 194,						-- Kezan
The_Lost_Isles = 174,				-- The Lost Isles
The_Maelstrom2 = 725,				-- The Maelstrom

-- Pandaria
Pandaria = 424,						-- Pandaria
Dread_Wastes = 422,					-- Dread Wastes
Isle_of_Giants = 507,				-- Isle of Giants
Isle_of_Thunder = 516,				-- Isle of Thunder
Krasarang_Wilds = 418,				-- Krasarang Wilds
Kun_Lai_Summit = 379,				-- Kun-Lai Summit
Shrine_of_Seven_Stars = 393,		-- Shrine of Seven Stars
Shrine_of_Two_Moons = 391,			-- Shrine of Two Moons
The_Jade_Forest = 371,				-- The Jade Forest
The_Veiled_Stair = 433,				-- The Veiled Stair
The_Wandering_Isle = 378,			-- The Wandering Isle
Timeless_Isle = 554,				-- Timeless Isle
Townlong_Steppes = 388,				-- Townlong Steppes
Vale_of_Eternal_Blossoms = 390,		-- Vale of Eternal Blossoms
Valley_of_the_Four_Winds = 376,		-- Valley of the Four Wind

-- Draenor
Draenor = 572,						-- Draenor
Ashran = 588,						-- Ashran
Frostfire_Ridge = 525,				-- Frostfire Ridge
Frostwall = 585,					-- Frostwall
Gorgrond = 543,						-- Gorgrond
Lunarfall = 579,					-- Lunarfall
Nagrand_WoD = 550,					-- Nagrand
Shadowmoon_Valley_WoD = 539,		-- Shadowmoon Valley
Spires_of_Arak = 542,				-- Spires of Arak **
Stormshield = 622,					-- Stormshield
Talador = 535,						-- Talador
Tanaan_Jungle = 534,				-- Tanaan Jungle **
Tanaan_Jungle_Assault_on_the_Dark_Portal = 577,				-- Tanaan Jungle - Assault on the Dark Portal
Warspear = 624,					-- Warspear

---- Battlegrounds
Alterac_Valley = 91,				-- Alterac Valley
Arathi_Basin = 93,					-- Arathi Basin
Deepwind_Gorge = 519,				-- Deepwind Gorge
Eye_of_the_Storm = 112,				-- Eye of the Storm
Isle_of_Conquest = 169,				-- Isle of Conquest
Silvershard_Mines = 423,			-- Silvershard Mines
Strand_of_the_Ancients = 128,		-- Strand of the Ancients
Temple_of_Kotmogu = 417,			-- Temple of Kotmogu
The_Battle_for_Gilneas = 275,		-- The Battle for Gilneas
Twin_Peaks = 206,					-- Twin Peaks
Warsong_Gulch = 92,				-- Warsong Gulch

---- Scenarios
A_Brewing_Storm = 447,				-- A Brewing Storm
A_Little_Patience = 487,			-- A Little Patience
Arena_of_Annihilation = 480,		-- Arena of Annihilation
Assault_on_Zanvess = 451,			-- Assault on Zan'vess
Battle_on_the_High_Seas = 524,		-- Battle on the High Seas
Blood_in_the_Snow = 523,			-- Blood in the Snow
Brewmoon_Festival = 452,			-- Brewmoon Festival
Celestial_Tournament = 571,			-- Celestial Tournament
Crypt_of_Forgotten_Kings = 481,		-- Crypt of Forgotten Kings
Dagger_in_the_Dark = 488,			-- Dagger in the Dark
Dark_Heart_of_Pandaria = 520,		-- Dark Heart of Pandaria
Domination_Point_H = 498,			-- Domination Point (H)
Greenstone_Village = 448,			-- Greenstone Village
Lions_Landing_A = 486,				-- Lion's Landing (A)
The_Secrets_of_Ragefire = 522,		-- The Secrets of Ragefire
Theramores_Fall_A = 483,			-- Theramore's Fall (A)
Theramores_Fall_H = 416,			-- Theramore's Fall (H)
Unga_Ingoo = 450,					-- Unga Ingoo

---- Classic Dungeons
Blackfathom_Deeps = 221,			-- Blackfathom Deeps
Blackrock_Depths = 242,				-- Blackrock Depths
Blackrock_Spire = 250,				-- Blackrock Spire
Dire_Maul = 234,					-- Dire Maul
Gnomeregan = 226,					-- Gnomeregan
Maraudon = 280,						-- Maraudon
Ragefire_Chasm = 213,				-- Ragefire Chasm
Razorfen_Downs = 300,				-- Razorfen Downs
Razorfen_Kraul = 301,				-- Razorfen Kraul
Shadowfang_Keep = 310,				-- Shadowfang Keep
Stratholme = 317,					-- Stratholme
The_Deadmines = 291,			-- The Deadmines
The_Stockade = 225,					-- The Stockade
The_Temple_of_AtalHakkar = 220,		-- The Temple of Atal'Hakkar
Uldaman = 230,						-- Uldaman
Wailing_Caverns = 279,				-- Wailing Caverns
ZulFarrak = 219,					-- Zul'Farrak

---- Classic Raids
Blackwing_Lair = 287,				-- Blackwing Lair
Molten_Core = 232,					-- Molten Core
Ruins_of_AhnQiraj = 247,			-- Ruins of Ahn'Qiraj
Temple_of_AhnQiraj = 319,			-- Temple of Ahn'Qiraj

---- Burning Crusade Dungeons
Auchenai_Crypts = 256,				-- Auchenai Crypts
Hellfire_Ramparts = 347,			-- Hellfire Ramparts
Magisters_Terrace = 348,			-- Magisters' Terrace
Mana_Tombs = 272,					-- Mana-Tombs
Old_Hillsbrad_Foothills = 274,		-- Old Hillsbrad Foothills
Sethekk_Halls = 258,				-- Sethekk Halls
Shadow_Labyrinth = 260,				-- Shadow Labyrinth
The_Arcatraz = 269,					-- The Arcatraz
The_Black_Morass = 273,				-- The Black Morass
The_Blood_Furnace = 261,			-- The Blood Furnace
The_Botanica = 266,					-- The Botanica
The_Mechanar = 267,					-- The Mechanar
The_Shattered_Halls = 246,			-- The Shattered Halls
The_Slave_Pens = 265,				-- The Slave Pens
The_Steamvault = 263,				-- The Steamvault
The_Underbog = 262,					-- The Underbog

---- Burning Crusade Raids
Black_Temple = 339,					-- Black Temple
Gruuls_Lair = 330,					-- Gruul's Lair
Hyjal_Summit = 329,					-- Hyjal Summit
Karazhan = 350,						-- Karazhan
Magtheridons_Lair = 331,			-- Magtheridon's Lair
Serpentshrine_Cavern = 332,			-- Serpentshrine Cavern
Sunwell_Plateau = 335,				-- Sunwell Plateau
The_Eye = 334,						-- The Eye

---- Wrath Dungeons
Ahnkahet_The_Old_Kingdom = 132,		-- Ahn'kahet: The Old Kingdom
Azjol_Nerub = 157,					-- Azjol-Nerub
DrakTharon_Keep = 160,				-- Drak'Tharon Keep
Gundrak = 153,						-- Gundrak
Halls_o_Lightning = 138,			-- Halls of Lightning
Halls_of_Reflection = 185,			-- Halls of Reflection
Halls_of_Stone = 140,				-- Halls of Stone
Pit_of_Saron = 184,					-- Pit of Saron
The_Culling_of_Stratholme = 130,	-- The Culling of Stratholme
The_Forge_of_Souls = 183,			-- The Forge of Souls
The_Nexus = 129,					-- The Nexus
The_Oculus = 142,					-- The Oculus
The_Violet_Hold = 168,				-- The Violet Hold
Trial_of_the_Champion = 171,		-- Trial of the Champion
Utgarde_Keep = 133,					-- Utgarde Keep
Utgarde_Pinnacle = 136,				-- Utgarde Pinnacle

---- Wrath Raids
Icecrown_Citadel = 186,				-- Icecrown Citadel
Naxxramas = 162,					-- Naxxramas
Onyxias_Lair = 248,					-- Onyxia's Lair
The_Eye_of_Eternity = 141,			-- The Eye of Eternity
The_Obsidian_Sanctum = 155,			-- The Obsidian Sanctum
The_Ruby_Sanctum = 200,				-- The Ruby Sanctum
Trial_of_the_Crusader = 172,		-- Trial of the Crusader
Ulduar = 147,						-- Ulduar
Vault_of_Archavon = 156,			-- Vault of Archavon

---- Cataclysm Dungeons
Blackrock_Caverns = 283,			-- Blackrock Caverns
End_Time = 401,						-- End Time
Grim_Batol = 293,					-- Grim Batol
Halls_of_Origination = 297,			-- Halls of Origination
Hour_of_Twilight = 399,				-- Hour of Twilight
Lost_City_of_thevTolvir = 277,		-- Lost City of the Tol'vir
The_Stonecore = 324,				-- The Stonecore
The_Vortex_Pinnacle = 325,			-- The Vortex Pinnacle
Throne_of_the_Tides = 322,			-- Throne of the Tides
Well_of_Eternity = 398,				-- Well of Eternity
ZulAman = 333,						-- Zul'Aman
ZulGurub = 337,						-- Zul'Gurub

---- Cataclysm Raids
Baradin_Hold = 282,					-- Baradin Hold
Blackwing_Descent = 285,			-- Blackwing Descent
Dragon_Soul = 409,					-- Dragon Soul
Firelands = 367,					-- Firelands
The_Bastion_of_Twilight = 294,		-- The Bastion of Twilight
Throne_of_the_Four_Winds = 328,		-- Throne of the Four Winds

---- Pandaria Dungeons
Gate_of_the_Setting_Sun = 437,		-- Gate of the Setting Sun
MoguShan_Palace = 453,				-- Mogu'Shan Palace
Scarlet_Halls = 431,				-- Scarlet Halls
Scarlet_Monastery = 435,			-- Scarlet Monastery
Scholomance = 476,					-- Scholomance
Shado_pan_Monastery = 443,			-- Shado-pan Monastery
Siege_of_Niuzao_Temple = 457,		-- Siege of Niuzao Temple
Stormstout_Brewery = 439,			-- Stormstout Brewery
Temple_of_the_Jade_Serpen = 429,	-- Temple of the Jade Serpen

---- Pandaria Raids
Heart_of_Fear = 474,				-- Heart of Fear
Mogushan_Vaults = 471,				-- Mogu'shan Vaults
Siege_of_Orgrimmar = 556,			-- Siege of Orgrimmar
Terrace_of_Endless_Spring = 456,	-- Terrace of Endless Spring
Throne_of_Thunder = 508,			-- Throne of Thunder

---- Draenor Dungeons
Auchindoun = 593,					-- Auchindoun
Bloodmaul_Slag_Mines = 573,			-- Bloodmaul Slag Mines
Grimrail_Depot = 606,				-- Grimrail Depot
Iron_Docks = 595,					-- Iron Docks
Shadowmoon_Burial_Grounds = 574,	-- Shadowmoon Burial Grounds
Skyreach = 601,						-- Skyreach
The_Everbloom = 620,				-- The Everbloom
Upper_Blackrock_Spire = 616,		-- Upper Blackrock Spire

---- Draenor Raids
Highmaul = 610,						-- Highmaul
Blackrock_Foundry = 596,			-- Blackrock Foundry

--Dummy values for generic map name resolution
Spillover_Rep_from_Dungeons = -1,
Normal_Cataclysm_Instances = -5,
Heroic_Cataclysm_Instances = -6,
};

MuffinFactionizer.faction = {

	-- Classic
	ArgentDawn = 529,
	BilgewaterCartel = 1133,
	BizmosBrawlpub = 2011, --TODO: Replace with new season ID
	BloodsailBuccaneers = 87,
	BootyBay = 21,
	BrawlgarArena = 2010, --TODO: Replace with new season ID
	BroodOfNozdormu = 910,
	CenarionCircle = 609,
	DarkmoonFaire = 909,
	DarkspearTrolls = 530,
	Darnassus = 69,
	Everlook = 577,
	Exodar = 930,
	FrostwolfClan = 729,
	Gadgetzan = 369,
	GelkisClanCentaur = 92,
	Gilneas = 1134,
	Gnomeregan = 54,
	HuojinPandarin = 1352,
	HydraxianWaterlords = 749,
	Ironforge = 47,
	MagramClanCentaur = 93,
	Orgrimmar = 76,
	Ratchet = 470,
	Ravenholdt = 349,
	Shendralar = 809,
	SilvermoonCity = 911,
	SilverwingSentinels = 890,
	StormpikeGuard = 730,
	Stormwind = 72,
	TheDefilers = 510,
	TheLeagueOfArathor = 509,
	ThoriumBrotherhood = 59,
	ThunderBluff = 81,
	TimbermawHold = 576,
	TushuiPandaren = 1353,
	Undercity = 68,
	WarsongOutriders = 889,
	ZandalarTribe = 270,

	-- Burning Crusade
	AshtongueDeathsworn = 1012,
	CenarionExpedition = 942,
	HonorHold = 946,
	KeepersOfTime = 989,
	Kurenai = 978,
	LowerCity = 1011,
	Netherwing = 1015,
	Ogrila = 1038,
	ShatariSkyguard = 1031,
	ShatteredSunOffensive = 1077,
	Sporeggar = 970,
	TheAldor = 932,
	TheConsortium = 933,
	TheMaghar = 941,
	TheScaleOfTheSands = 990,
	TheScryers = 934,
	TheShatar = 935,
	TheVioletEye = 967,
	Thrallmar = 947,
	Tranquillien = 922,

	-- Wrath of the Lich King
	AllianceVanguard = 1037,
	ArgentCrusade = 1106,
	ExplorersLeague = 1068,
	FrenzyheartTribe = 1104,
	HordeExpedition = 1052,
	KirinTor = 1090,
	KnightsOfTheEbonBlade = 1098,
	TheAshenVerdict = 1156,
	TheFrostborn = 1126,
	TheHandOfVengeance = 1067,
	TheKaluak = 1073,
	TheOracles = 1105,
	TheSilverCovenant = 1094,
	TheSonsOfHodir = 1119,
	TheSunreavers = 1124,
	TheTaunka = 1064,
	TheWyrmrestAccord = 1091,
	ValianceExpedition = 1050,
	WarsongOffensive = 1085,

	-- Cataclysm
	AvengersOfHyjal = 1204,
	BaradinsWardens = 1177,
	DragonmawClan = 1172,
	GuardiansOfHyjal = 1158,
	HellscreamsReach = 1178,
	Ramkahen = 1173,
	TheEarthenRing = 1135,
	Therazane = 1171,
	WildhammerClan = 1174,

	-- Mists of Pandaria
	CheeChee = 1277,
	DarkspearRebellion = 1440,
	DominanceOffensive = 1375,
	Ella = 1275,
	EmperorShaohao = 1492,
	FarmerFung = 1283,
	FishFellreed = 1282,
	ForestHozen = 1228,
	GinaMudclaw = 1281,
	GoldenLotus = 1269,
	HaohanMudclaw = 1279,
	JoguTheDrunk = 1273,
	KirinTorOffensive = 1387,
	NatPagle = 1358,
	OldHillpaw = 1276,
	OperationShieldwall = 1376,
	OrderOfTheCloudSerpent = 1271,
	PearlfinJinyu = 1242,
	ShadoPan = 1270,
	ShadoPanAssault = 1435,
	ShangXisAcademy = 1216,
	Sho = 1278,
	SunreaverOnslaught = 1388,
	TheAnglers = 1302,
	TheAugustCelestials = 1341,
	TheBlackPrince = 1359,
	TheBrewmasters = 1351,
	TheKlaxxi = 1337,
	TheLorewalkers = 1345,
	TheTillers = 1272,
	TinaMudclaw = 1280,

	-- Warlords of Draenor
	ArakkoaOutcasts = 1515,
	CouncilOfExarchs = 1731,
	FrostwolfOrcs = 1445,
	OrderOfTheAwakened = 1849,
	SteamwheedlePreservation = 1711,
	TheSaberstalkers = 1850,

	-- Legion
	ArgussianReach = 2170,
	ArmiesOfLegionfall = 2045,
	ArmyOfTheLight = 2165,
	CourtOfFarondis = 1900,
	Dreamweavers = 1883,
	HighmountainTribe = 1828,
	TalonsVengeance = 2018,
	TheNightfallen = 1859,
	TheWardens = 1894,
	Valarjar = 1948,

	-- Battle for Azeroth
	SeventhLegion = 2159,
	StormsWake = 2162,
	OrderOfEmbers = 2161,
	ProudmooreAdmiralty = 2160,
	ChampionsOfAzeroth = 2164,
	TortollanSeekers = 2163,
	TalanjisExpedition = 2156,
	TheHonorbound = 2157,
	Voldunai = 2158,
	ZandalariEmpire = 2103,
	WavebladeAnkoan = 2400,
	TheUnshackled = 2373,
	Rustbolt = 2391,

	--Other
	Nomi = 1357,
	Syndicate = 70,
	WintersaberTrainers = 589,
};

local faction = MuffinFactionizer.faction

MuffinFactionizer.standing = {

	Hated = 1,
	Hostile = 2,
	Unfriendly = 3,
	Neutral = 4,
	Friendly = 5,
	Honored = 6,
	Revered = 7,
	Exalted = 8,
	Paragon = 9,
};

MuffinFactionizer.difficulty = {

	Normal = false,
	Heroic = true,

};


MuffinFactionizer.paragon_supply_quests = {
	---------- Legion -------------
	[48976] = faction.ArgussianReach,
	[46777] = faction.ArmiesOfLegionfall,
	[48977] = faction.ArmyOfTheLight,
	[46745] = faction.CourtOfFarondis,
	[46747] = faction.Dreamweavers,
	[46743] = faction.HighmountainTribe,
	[46748] = faction.TheNightfallen,
	[46749] = faction.TheWardens,
	[46746] = faction.Valarjar,

	----------- BfA -------------
	--Alliance
	[54454] = faction.SeventhLegion,
	[54456] = faction.OrderOfEmbers,
	[54457] = faction.StormsWake,
	[54458] = faction.ProudmooreAdmiralty,
	[55976] = faction.WavebladeAnkoan,

	--Neutral
	[54453] = faction.ChampionsOfAzeroth,
	[54451] = faction.TortollanSeekers,
	[55348] = faction.Rustbolt,

	--Horde
	[54455] = faction.TheHonorbound,
	[54460] = faction.TalanjisExpedition,
	[54461] = faction.Voldunai,
	[54462] = faction.ZandalariEmpire,
	[53982] = faction.TheUnshackled

}

MuffinFactionizer.emissary_reward_quests = {
	---------- Legion -------------
	[48642] = faction.ArgussianReach,
	[48641] = faction.ArmiesOfLegionfall,
	[48639] = faction.ArmyOfTheLight,
	[42420] = faction.CourtOfFarondis,
	[42233] = faction.HighmountainTribe,
	[42170] = faction.Dreamweavers,
	[43179] = faction.KirinTor,
	[42421] = faction.TheNightfallen,
	[42234] = faction.Valarjar,
	[42422] = faction.TheWardens,

	----------- BfA -------------
	--Alliance
	[53436] = faction.SeventhLegion,	-- Weekly Azerite
	[50605] = faction.SeventhLegion,	-- Alliance War Effort (Zandalar)
	[50601] = faction.StormsWake,
	[50600] = faction.OrderOfEmbers,
	[50599] = faction.ProudmooreAdmiralty,
	[56119] = faction.WavebladeAnkoan,

	--Neutral
	[50562] = faction.ChampionsOfAzeroth,
	[50604] = faction.TortollanSeekers,

	--Horde
	[53435] = faction.TheHonorbound,	-- Weekly Azerite
	[50606] = faction.TheHonorbound,	-- Horde War Effort
	[50602] = faction.TalanjisExpedition,
	[50603] = faction.Voldunai,
	[50598] = faction.ZandalariEmpire,
	[56120] = faction.TheUnshackled
}


MuffinFactionizer.faction_toast_icons = {
	-- Legion
	[faction.ArgussianReach] = 1708496,
	[faction.ArmiesOfLegionfall] = 1585421,
	[faction.ArmyOfTheLight] = 1708497,
	[faction.CourtOfFarondis] = 1394952,
	[faction.Dreamweavers] = 1394953,
	[faction.HighmountainTribe] = 1394954,
	[faction.TheNightfallen] = 1394956,
	[faction.TheWardens] = 1394958,
	[faction.Valarjar] = 1394957,

	--Battle for Azeroth
	[faction.SeventhLegion] = 2032591,
	[faction.StormsWake] = 2032596,
	[faction.OrderOfEmbers] = 2032594,
	[faction.ProudmooreAdmiralty] = 2032595,
	[faction.ChampionsOfAzeroth] = 2032592,
	[faction.TortollanSeekers] = 2032598,
	[faction.TalanjisExpedition] = 2032597,
	[faction.TheHonorbound] = 2032593,
	[faction.Voldunai] = 2032599,
	[faction.ZandalariEmpire] = 2032601,

}

--List of all user options and their default
MFAC.all_option_defaults =
{
	["ShowMobs"] = true,
	["ShowQuests"] = true,
	["ShowInstances"] = true,
	["ShowItems"] = true,
	["ShowGeneral"] = true,

	["ShowMissing"] = true,
	["ShowParagon"] = true,
	["ExtendDetails"] = true,
	["WriteChatMessage"] = true,
	["NoGuildGain"] = true,
	["SuppressOriginalChat"] = true,
	["ShowPreviewRep"] = true,
	["SwitchFactionBar"] = true,
	["SilentSwitch"] = true,
	["ShowToasts"] = true,
	["NoGuildSwitch"] = true,

	["AutoTurnIn"] = false,

	["FadeParagonBags"] = true,
};

MFAC.all_option_command_map =
{
	["mobs"] = "ShowMobs",
	["quests"] = "ShowQuests",
	["dungeons"] = "ShowInstances",
	["instances"] = "ShowInstances", --alias for the above
	["items"] = "ShowItems",
	["general"] = "ShowGeneral",
	["missing"] = "ShowMissing",
	["paragon"] = "ShowParagon",
	["details"] = "ExtendDetails",
	["toasts"] = "ShowToasts",
	["chat"] = "WriteChatMessage",
	["noguild"] = "NoGuildGain",
	["suppress"] = "SuppressOriginalChat",
	["preview"] = "ShowPreviewRep",
	["bar"] = "SwitchFactionBar",
	["silent"] = "SilentSwitch",
	["autoturnin"] = "AutoTurnIn",
};



-- Maps NPC ID to Faction ID, quest info
-- 	.faction_id : Faction ID
--		.quest_ids : list of quest IDs that the npc offers turn-ins for
--		.quest_names : List of the above quest's names
MuffinFactionizer.TurnInNPC = {};


--Indexed by Quest name table of:
--						.name 			The quest name
--						.rep				Amount of rep earned
--						.maxStanding	Max standing (1-8)
--						.profession		Required tradeskills
--						.items			Key/Value: Item Name/# of items required
MuffinFactionizer.QuestData = {};


-- For a given item/currency, find the Faction(s) that care(s) about it
MuffinFactionizer.ItemToFactionMap = {};
MuffinFactionizer.CurrencyToFactionMap = {};

MuffinFactionizer.TooltipStandingFontColour = GREEN_FONT_COLOR

MuffinFactionizer.BarSwitchDelay = 0.500
MuffinFactionizer.FactionUpdateRetryDelay = 2

MFAC.UI = {}
