local _, MFAC = ... -- Pulls back the Addon-Local Variables and store them locally.

--TODO: https://wow.gamepedia.com/Championing

function MFAC.InitEnFactionGainsAlliance()

	local zone = MuffinFactionizer.zone;
	local faction = MuffinFactionizer.faction;
	local standing = MuffinFactionizer.standing;
	local difficulty = MuffinFactionizer.difficulty;

	----------------------------------------------------------------------------------------------------------------
	-- Classic
	----------------------------------------------------------------------------------------------------------------

	-- Alliance Cities
	-- Darnassus 69
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 1, 250, nil, MFAC.LimitType.Cooking) --"Main city cooking quests"
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 3, 250, nil, MFAC.LimitType.Fishing) --"Main city fishing quests"
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
	---- spillover from Alterac Valley
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 7386, 18.75, {[17423] = 5}) --Crystal Cluster
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 6881, 2.5, {[17423] = 1}) --Ivus the Forest Lord
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 6943, 10, {[17504] = 1}) --Call of Air - Ichman's Fleet
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 6942, 10, {[17502] = 1}) --Slidore's Fleet
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 6941, 10, {[17503] = 1}) --Call of Air - Vipore's Fleet
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 7027, 2.5) --Empty Stables
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 7026, 2.5, {[17643] = 1}) --Ram Riding Harnesses
	MFAC.AddQuest(faction.Darnassus, standing.Neutral, standing.Exalted, 6781, 2.5, {[17422] = 20}) --More Armor Scraps
	---- spillover from Other
	MFAC.AddItems(faction.Darnassus, standing.Neutral, standing.Exalted, 250, {[45714] = 1}) --Darnassus Commendation Badge (rep confirmed Wowhead 23JUL2018)
	--MFAC.AddItems(faction.Darnassus, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})

	-- Exodar 930
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
	---- spillover from Alterac Valley
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 7386, 18.75, {[17423] = 5}) --Crystal Cluster
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 6881, 2.5, {[17423] = 1}) --Ivus the Forest Lord
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 6943, 10, {[17504] = 1}) --Call of Air - Ichman's Fleet
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 6942, 10, {[17502] = 1}) --Slidore's Fleet
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 6941, 10, {[17503] = 1}) --Call of Air - Vipore's Fleet
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 7027, 2.5) --Empty Stables
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 7026, 2.5, {[17643] = 1}) --Ram Riding Harnesses
	MFAC.AddQuest(faction.Exodar, standing.Neutral, standing.Exalted, 6781, 2.5, {[17422] = 20}) --More Armor Scraps
	---- spillover from Other
	MFAC.AddItems(faction.Exodar, standing.Neutral, standing.Exalted, 250, {[45715] = 1}) --Exodar Commendation Badge (rep confirmed Wowhead 23JUL2018)
	--MFAC.AddItems(faction.Exodar, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})

	-- Gnomeregan 54
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
	---- spillover from Alterac Valley
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 7386, 18.75, {[17423] = 5}) --Crystal Cluster
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 6881, 2.5, {[17423] = 1}) --Ivus the Forest Lord
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 6943, 10, {[17504] = 1}) --Call of Air - Ichman's Fleet
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 6942, 10, {[17502] = 1}) --Slidore's Fleet
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 6941, 10, {[17503] = 1}) --Call of Air - Vipore's Fleet
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 7027, 2.5) --Empty Stables
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 7026, 2.5, {[17643] = 1}) --Ram Riding Harnesses
	MFAC.AddQuest(faction.Gnomeregan, standing.Neutral, standing.Exalted, 6781, 2.5, {[17422] = 20}) --More Armor Scraps
	---- spillover from Other
	MFAC.AddItems(faction.Gnomeregan, standing.Neutral, standing.Exalted, 250, {[45716] = 1}) --Gnomeregan Commendation Badge (rep confirmed Wowhead 23JUL2018)
	--MFAC.AddItems(faction.Gnomeregan, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})

	-- Ironforge 47
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 13741, 250) -- A Blade Fit For A Champion
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 13742, 250) -- A Worthy Weapon
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 13743, 250) -- The Edge Of Winter
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 13744, 250) -- A Valiant's Field Training
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 13745, 250) -- The Grand Melee
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 13851, 250) -- At The Enemy's Gates
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 14048, 150) -- Can't Get Enough Turkey
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 14051, 150) -- Don't Forget The Stuffing!
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29342, 250, nil, MFAC.LimitType.Fishing) -- Cold Water Fishing
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29343, 250, nil, MFAC.LimitType.Fishing) -- One fer the Ages
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29344, 250, nil, MFAC.LimitType.Fishing) -- Fish fer Squrky
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29347, 250, nil, MFAC.LimitType.Fishing) -- Live Bait
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29350, 250, nil, MFAC.LimitType.Fishing) -- The Gnomish Bait-o-Matic
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29351, 250, nil, MFAC.LimitType.Cooking) -- A Round for the Guards
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29352, 250, nil, MFAC.LimitType.Cooking) -- A Fowl Shortage
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29353, 250, nil, MFAC.LimitType.Cooking) -- Keepin' the Haggis Flowin'
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29355, 250, nil, MFAC.LimitType.Cooking) -- Can't Get Enough Spice Bread
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 29356, 250, nil, MFAC.LimitType.Cooking) -- I Need to Cask a Favor
	---- spillover from Alterac Valley
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 7386, 18.75, {[17423] = 5}) --Crystal Cluster
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 6881, 2.5, {[17423] = 1}) --Ivus the Forest Lord
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 6943, 10, {[17504] = 1}) --Call of Air - Ichman's Fleet
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 6942, 10, {[17502] = 1}) --Slidore's Fleet
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 6941, 10, {[17503] = 1}) --Call of Air - Vipore's Fleet
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 7027, 2.5) --Empty Stables
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 7026, 2.5, {[17643] = 1}) --Ram Riding Harnesses
	MFAC.AddQuest(faction.Ironforge, standing.Neutral, standing.Exalted, 6781, 2.5, {[17422] = 20}) --More Armor Scraps

	MFAC.AddItems(faction.Ironforge, standing.Neutral, standing.Exalted, 250, {[45717] = 1}) --Ironforge Commendation Badge (rep confirmed Wowhead 23JUL2018)
	MFAC.AddItems(faction.Ironforge, standing.Neutral, standing.Exalted, 250, {[70148] = 1}) --Ironforge Commendation Badge (rep confirmed Wowhead 23JUL2018)
	--TODO: Add Ironforge Tabard (45577) Gives rep in dungeons

	-- Stormwind
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 1, 250, nil, MFAC.LimitType.Cooking) --"Main city cooking quests"
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 3, 250, nil, MFAC.LimitType.Fishing) --"Main city fishing quests"
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
	---- spillover from Alterac Valley
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 7386, 18.75, {[17423] = 5}) --Crystal Cluster
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 6881, 2.5, {[17423] = 1}) --Ivus the Forest Lord
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 6943, 10, {[17504] = 1}) --Call of Air - Ichman's Fleet
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 6942, 10, {[17502] = 1}) --Slidore's Fleet
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 6941, 10, {[17503] = 1}) --Call of Air - Vipore's Fleet
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 7027, 2.5) --Empty Stables
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 7026, 2.5, {[17643] = 1}) --Ram Riding Harnesses
	MFAC.AddQuest(faction.Stormwind, standing.Neutral, standing.Exalted, 6781, 2.5, {[17422] = 20}) --More Armor Scraps
	---- spillover from Other
	MFAC.AddItems(faction.Stormwind, standing.Neutral, standing.Exalted, 250, {[45718] = 1}) --Stormwind Commendation Badge (rep confirmed Wowhead 23JUL2018)
	--MFAC.AddItems(faction.Stormwind, standing.Neutral, standing.Exalted, 62.5, {[4] = 1})

	-- Gilneas 545
	MFAC.AddQuest(faction.Gilneas, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.Gilneas, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
	---- spillover from Alterac Valley
	---- spillover from Other

	-- Tushui Pandaren 1353
	MFAC.AddQuest(faction.TushuiPandaren, standing.Neutral, standing.Exalted, 2, 65, nil, MFAC.LimitType.Cooking) --"Other city cooking quests"
	MFAC.AddQuest(faction.TushuiPandaren, standing.Neutral, standing.Exalted, 4, 65, nil, MFAC.LimitType.Fishing) --"Other city fishing quests"
	---- spillover from Alterac Valley
	---- spillover from Other

	-- Alliance Forces
	-- Silverwing Sentinels 890
	--TODO: Research this
	--FIZ_AddInstance(faction.SilverwingSentinels, standing.Neutral, standing.Exalted, zone.Warsong_Gulch, 35)
	--FIZ_AddInstance(faction.SilverwingSentinels, standing.Neutral, standing.Exalted, zone.Warsong_Gulch, 105)
	-- Stormpike Guard 730
	MFAC.AddQuest(faction.StormpikeGuard, standing.Neutral, standing.Exalted, 7386, 18.75, {[17423] = 5}) --Crystal Cluster
	MFAC.AddQuest(faction.StormpikeGuard, standing.Neutral, standing.Exalted, 6881, 2.5, {[17423] = 1}) --Ivus the Forest Lord
	MFAC.AddQuest(faction.StormpikeGuard, standing.Neutral, standing.Exalted, 6943, 10, {[17503] = 1}) --Call of Air - Ichman's Fleet
	MFAC.AddQuest(faction.StormpikeGuard, standing.Neutral, standing.Exalted, 6942, 10, {[17502] = 1}) --Slidore's Fleet
	MFAC.AddQuest(faction.StormpikeGuard, standing.Neutral, standing.Exalted, 6941, 10, {[17503] = 1}) --Call of Air - Vipore's Fleet
	MFAC.AddQuest(faction.StormpikeGuard, standing.Neutral, standing.Exalted, 7027, 2.5) --Empty Stables
	MFAC.AddQuest(faction.StormpikeGuard, standing.Neutral, standing.Exalted, 7026, 2.5, {[17643] = 1}) --Ram Riding Harnesses
	MFAC.AddQuest(faction.StormpikeGuard, standing.Neutral, standing.Exalted, 6781, 2.5, {[17422] = 20}) --More Armor Scraps
	-- The League of Arathor 509
	--TODO: Research this
	--FIZ_AddInstance(faction.TheLeagueOfArathor, standing.Neutral, standing.Exalted, zone.Arathi_Basin, 10)
	--FIZ_AddInstance(faction.TheLeagueOfArathor, standing.Neutral, standing.Exalted, zone.Arathi_Basin, 100)
	-- Bizmo's Brawlpub 1419 (season 1)
	--MFAC.AddQuest(1419, 1, 8, 5, 1)

	-----------------------------------------------
	-- Burning Crusade
	-----------------------------------------------

	-- Honor Hold 946
	FIZ_AddInstance(faction.HonorHold, standing.Neutral, standing.Friendly, zone.Hellfire_Ramparts, 600, difficulty.Normal)
	FIZ_AddInstance(faction.HonorHold, standing.Neutral, standing.Exalted,	zone.Hellfire_Ramparts, 2000, difficulty.Heroic)
	FIZ_AddInstance(faction.HonorHold, standing.Neutral, standing.Friendly, zone.The_Blood_Furnace, 750, difficulty.Normal)
	FIZ_AddInstance(faction.HonorHold, standing.Neutral, standing.Exalted,	zone.The_Blood_Furnace, 2700, difficulty.Heroic)
	FIZ_AddInstance(faction.HonorHold, standing.Neutral, standing.Exalted,	zone.The_Shattered_Halls, 1600, difficulty.Normal)
	FIZ_AddInstance(faction.HonorHold, standing.Neutral, standing.Exalted,	zone.The_Shattered_Halls, 2900, difficulty.Heroic)

	MFAC.AddQuest(faction.HonorHold, standing.Neutral, standing.Revered, 10106, 150) --Hellfire Fortifications (PvP)

	FIZ_AddMob(faction.HonorHold, standing.Neutral, standing.Friendly, "Bleeding Hollow Necrolyte & Peon", 5, zone.Hellfire_Peninsula);
	FIZ_AddMob(faction.HonorHold, standing.Neutral, standing.Friendly, "Fel Spirit", 5, zone.Hellfire_Peninsula);
	FIZ_AddMob(faction.HonorHold, standing.Neutral, standing.Friendly, "Shattered Hand mobs", 5, zone.Hellfire_Peninsula);

	-- Kurenai 978
	MFAC.AddQuest(faction.Kurenai, standing.Neutral, standing.Exalted, 10476, 500, {[25433] = 10}) --Fierce Enemies, turn in 10 Obsidian Beads
	MFAC.AddQuest(faction.Kurenai, standing.Neutral, standing.Exalted, 11502, 500) -- In Defense of Halaa (PvP)

	FIZ_AddMob(faction.Kurenai, standing.Neutral, standing.Exalted, "Boulderfist Ogre", 10, zone.Nagrand) -- Boulderfist Ogre ID=2562
	FIZ_AddMob(faction.Kurenai, standing.Neutral, standing.Exalted, "Kil'sorrow Deathsworn/Cultist/Spellbinder", 10, zone.Nagrand)
	FIZ_AddMob(faction.Kurenai, standing.Neutral, standing.Exalted, "Murkblood Scavenger", 2, zone.Nagrand)
	FIZ_AddMob(faction.Kurenai, standing.Neutral, standing.Exalted, "Murkblood ", 10, zone.Nagrand)
	FIZ_AddMob(faction.Kurenai, standing.Neutral, standing.Exalted, "Warmaul non-elite", 10, zone.Nagrand)
	----------------------------------------------------------------------------------------------------------------
	-- Wrath of the Lich King
	----------------------------------------------------------------------------------------------------------------

	-- Alliance Vanguard 1037
	---- spillover from 1068
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 11391, 62.5) --Steel Gate Patrol
	---- spillover from 1126
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 12869, 62.5) --Pushed Too Far
	---- spillover from 1094
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13757, 62.5, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13759, 62.5) --The Edge Of Winter
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13600, 62.5) --A Worthy Weapon
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13847, 62.5) --At The Enemy's Gates
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13671, 62.5) --Training In The Field
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13625, 62.5) --Learning The Reins
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13772, 62.5) --The Grand Melee
	---- spillover from 1050
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 11153, 62.5) --Break the Blockade
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13309, 62.5) --Assault by Air
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13284, 62.5) --Assault by Ground
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13336, 62.5) --Blood of the Chosen
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13280, 62.5) --King of the Mountain
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 12444, 62.5) --Blackriver Skirmish
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 12296, 62.5) --Life or Death
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 12289, 62.5) --Kick 'Em While They're Down
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 12268, 62.5) --Pieces Parts
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 12244, 62.5) --Shredder Repair
	---- spillover from tournament
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13682, 125) --Threat From Above
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13789, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13861, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.AllianceVanguard, standing.Neutral, standing.Exalted, 13790, 125) --Among the Champion
	---- spillover from dungeon
	FIZ_AddInstance(faction.AllianceVanguard, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.AllianceVanguard, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
	-- Explorer's League 1068
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 11391, 125) --Steel Gate Patrol
	---- spillover from 1126
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 12869, 62.5) --Pushed Too Far
	---- spillover from 1094
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13757, 62.5, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13759, 62.5) --The Edge Of Winter
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13600, 62.5) --A Worthy Weapon
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13847, 62.5) --At The Enemy's Gates
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13671, 62.5) --Training In The Field
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13625, 62.5) --Learning The Reins
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13772, 62.5) --The Grand Melee
	---- spillover from 1050
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 11153, 62.5) --Break the Blockade
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13309, 62.5) --Assault by Air
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13284, 62.5) --Assault by Ground
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13336, 62.5) --Blood of the Chosen
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13280, 62.5) --King of the Mountain
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 12444, 62.5) --Blackriver Skirmish
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 12296, 62.5) --Life or Death
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 12289, 62.5) --Kick 'Em While They're Down
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 12268, 62.5) --Pieces Parts
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 12244, 62.5) --Shredder Repair
	---- spillover from tournament
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13682, 125) --Threat From Above
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13789, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13861, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.ExplorersLeague, standing.Neutral, standing.Exalted, 13790, 125) --Among the Champion
	---- spillover from dungeon
	FIZ_AddInstance(faction.ExplorersLeague, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.ExplorersLeague, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
	-- The Frostborn 1126
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 12869, 125) --Pushed Too Far
	---- spillover from 1068
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 11391, 62.5) --Steel Gate Patrol
	---- spillover from 1094
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13757, 62.5, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13759, 62.5) --The Edge Of Winter
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13600, 62.5) --A Worthy Weapon
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13847, 62.5) --At The Enemy's Gates
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13671, 62.5) --Training In The Field
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13625, 62.5) --Learning The Reins
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13772, 62.5) --The Grand Melee
	---- spillover from 1050
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 11153, 62.5) --Break the Blockade
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13309, 62.5) --Assault by Air
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13284, 62.5) --Assault by Ground
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13336, 62.5) --Blood of the Chosen
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13280, 62.5) --King of the Mountain
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 12444, 62.5) --Blackriver Skirmish
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 12296, 62.5) --Life or Death
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 12289, 62.5) --Kick 'Em While They're Down
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 12268, 62.5) --Pieces Parts
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 12244, 62.5) --Shredder Repair
	---- spillover from tournament
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13682, 125) --Threat From Above
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13789, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13861, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.TheFrostborn, standing.Neutral, standing.Exalted, 13790, 125) --Among the Champion
	---- spillover from dungeon
	FIZ_AddInstance(faction.TheFrostborn, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.TheFrostborn, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
	-- The Silver Covenant 1094
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13757, 125, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13759, 125) --The Edge Of Winter
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13600, 125) --A Worthy Weapon
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13847, 125) --At The Enemy's Gates
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13671, 125) --Training In The Field
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13625, 125) --Learning The Reins
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13772, 125) --The Grand Melee
	---- spillover from 1068
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 11391, 62.5) --Steel Gate Patrol
	---- spillover from 1126
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 12869, 62.5) --Pushed Too Far
	---- spillover from 1050
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 11153, 62.5) --Break the Blockade
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13309, 62.5) --Assault by Air
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13284, 62.5) --Assault by Ground
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13336, 62.5) --Blood of the Chosen
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13280, 62.5) --King of the Mountain
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 12444, 62.5) --Blackriver Skirmish
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 12296, 62.5) --Life or Death
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 12289, 62.5) --Kick 'Em While They're Down
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 12268, 62.5) --Pieces Parts
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 12244, 62.5) --Shredder Repair
	---- spillover from tournament
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13682, 125) --Threat From Above
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13789, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13861, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, 13790, 125) --Among the Champion
	---- spillover from dungeon
	FIZ_AddInstance(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.TheSilverCovenant, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
	-- Valiance Expedition 1050
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 11153, 125) --Break the Blockade
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13309, 125) --Assault by Air
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13284, 125) --Assault by Ground
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13336, 125) --Blood of the Chosen
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13280, 125) --King of the Mountain
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 12444, 125) --Blackriver Skirmish
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 12296, 125) --Life or Death
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 12289, 125) --Kick 'Em While They're Down
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 12268, 125) --Pieces Parts
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 12244, 125) --Shredder Repair
	---- spillover from 1068
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 11391, 62.5) --Steel Gate Patrol
	---- spillover from 1126
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 12869, 62.5) --Pushed Too Far
	---- spillover from 1094
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13757, 62.5, {[44981] = 1}) --A Blade Fit For A Champion
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13759, 62.5) --The Edge Of Winter
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13600, 62.5) --A Worthy Weapon
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13847, 62.5) --At The Enemy's Gates
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13671, 62.5) --Training In The Field
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13625, 62.5) --Learning The Reins
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13772, 62.5) --The Grand Melee
	---- spillover from tournament
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13682, 125) --Threat From Above
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13789, 125) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13861, 125) --Battle Before The Citadel
	MFAC.AddQuest(faction.ValianceExpedition, standing.Neutral, standing.Exalted, 13790, 125) --Among the Champion
	---- spillover from dungeon
	FIZ_AddInstance(faction.ValianceExpedition, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 400, difficulty.Normal)
	FIZ_AddInstance(faction.ValianceExpedition, standing.Neutral, standing.Exalted, zone.Spillover_Rep_from_Dungeons, 800, difficulty.Heroic)
-- Argent Crusade 1106
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13300, 325) --Slaves to Saronite
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13682, 325) --Threat From Above
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13789, 325) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13861, 325) --Battle Before The Citadel
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13790, 325) --Among the Champions
	-- Knights of the Ebon Blade 1098
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13682, 325) --Threat From Above
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13789, 325) --Taking Battle To The Enemy
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13861, 325) --Battle Before The Citadel
	MFAC.AddQuest(faction.ArgentCrusade, standing.Neutral, standing.Exalted, 13790, 325) --Among the Champions

	----------------------------------------------------------------------------------------------------------------
	-- Cataclysm
	----------------------------------------------------------------------------------------------------------------

	-- Wildhammer Clan 1174
	---- from zone Twilight Highlands
	MFAC.AddQuest(faction.WildhammerClan, standing.Neutral, standing.Exalted, 28864, 250) --Beer Run
	MFAC.AddQuest(faction.WildhammerClan, standing.Neutral, standing.Exalted, 28861, 250) --Fight Like a Wildhammer
	MFAC.AddQuest(faction.WildhammerClan, standing.Neutral, standing.Exalted, 28860, 250) --Keeping the Dragonmaw at Bay
	MFAC.AddQuest(faction.WildhammerClan, standing.Neutral, standing.Exalted, 28862, 250) --Never Leave a Dinner Behind
	MFAC.AddQuest(faction.WildhammerClan, standing.Neutral, standing.Exalted, 28863, 350) --Warlord Halthar is Back

	-- Baradin's Wardens 1177
	---- from zone Tol Barad
	------ Tol Barad Peninsula
	-------- Sargeant Parker (Base Quests)
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28122, 250) --A Huge Problem
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28162, 250) --Swamp Bait
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28163, 250) --The Leftovers
	-------- 2nd Lieutenant Wansworth (Left Prison)
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28186, 350) --Cursed Shackles
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28165, 350) --D-Block
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28185, 350) --Svarnos
	-------- Commander Stevens (Right Prison)
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28117, 350) --Clearing the Depths (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28120, 350) --Learning From The Past
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28118, 250) --The Imprisoned Archmage
	-------- Marshal Fallows (South Prison)
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28232, 250) --Food From Below
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28188, 350) --Prison Revolt
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28223, 350) --The Warden
	------ Tol Barad Main
	-------- Sergeant Gray
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28275, 250) --Bombs Away!
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27987, 250) --Cannonball!
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27978, 250) --Ghostbuster
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27911, 250) --Taking the Overlook Back
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27975, 250) --WANTED: Foreman Wellson
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27973, 250) --Watch Out For Splinters!
	-------- Commander Marcus Johnson
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28059, 250) --Claiming The Keep
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28063, 250) --Leave No Weapon Behind
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28130, 250) --Not The Friendliest Town
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28137, 250) --Teach A Man To Fish.... Or Steal
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28065, 250) --Walk A Mile In Their Shoes (rep confirmed Wowhead 23JUL2018)
	-------- Camp Coordinator Brack
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27948, 250) --A Sticky Task
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27972, 250) --Boosting Morale
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27970, 250) --Captain P. Harris
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27971, 250) --Rattling Their Cages
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28050, 350) --Shark Tank
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27944, 250) --Thinning the Brood
	-------- Lieutenant Farnsworth
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 28046, 250) --Finish The Job
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27967, 250) --First Lieutenant Connor
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27992, 250) --Magnets, How Do They Work?
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27966, 250) --Salvaging the Remains
	MFAC.AddQuest(faction.BaradinsWardens, standing.Neutral, standing.Exalted, 27949, 250) --The Forgotten

	----------------------------------------------------------------------------------------------------------------
	-- Mists of Pandaria
	----------------------------------------------------------------------------------------------------------------

	-- Pearlfin Jinyu 1242
	---- No rep gains available outside of normal quest line
	-- Operation: Shieldwall 1376
	---- Sunsong Ranch
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32646, 300) --Work Order: Operation: Shieldwall II (rep confirmed Wowhead 23JUL2018)
	---- Lion's Landing
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32148, 150) --Attack! Move! (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32153, 300) --Hero Killer (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32149, 150) --Resource Gathering (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32152, 150) --Siege Damage (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32150, 150) --Supply Block (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32151, 150) --Tower Defense (rep confirmed Wowhead 23JUL2018)
	---- Domination Point
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32143, 150) --A Kind of Magic (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32145, 300) --Don't Lose Your Head (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32146, 150) --Hammer to Fall (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32144, 150) --Under Pressure (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32142, 150) --We Will Rock You (rep confirmed Wowhead 23JUL2018)
	---- Ruins of Ogudei
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32347, 150) --Eviction Notice (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32119, 150) --It Is A Mystery (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32122, 300) --Ogudei's Lieutenants (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32346, 150) --Oi Ain't Afraid o' No Ghosts! (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32115, 150) --Shackles of the Past (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32121, 150) --The Spirit Trap (rep confirmed Wowhead 23JUL2018)
	---- Bilgewater Beach
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32154, 150) --Burn Out! (rep confirmed Wowhead 23JUL2018)
	--MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32155, 150) --Necessary Breaks (rep confirmed Wowhead 23JUL2018) (Game cannot find info)
	--MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32159, 150) --Circle of Life (rep confirmed Wowhead 23JUL2018) (Game cannot find info)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32446, 150) --Dis-Assembly Required (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32157, 150) --The Only Good Goblin... (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32156, 150) --It's Only Right (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32158, 300) --Two Step Program (rep confirmed Wowhead 23JUL2018)
	--MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32433, 300) --Undermining the Under Miner (rep confirmed Wowhead 23JUL2018)  (Game cannot find info)
	---- Beastmaster Quests
	------ Huntsman Blake
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32172, 200) --A Colossal Victory (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32170, 200) --Ancient's Fall (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.OperationShieldwall, standing.Hated, standing.Exalted, 32171, 200) --End of an Elder (rep confirmed Wowhead 23JUL2018)
	-- 0
	-- Kirin Tor Offensive 1387
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32571, 150) --A Wing to Fly On (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32558, 150) --All In the Family (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32578, 200) --Among the Bones (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32525, 150) --Ashes of the Enemy (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32485, 150) --Bolstering the Defenses (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32634, 150) --Breaking Down the Defenses (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32636, 150) --Captive Audience (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32555, 150) --Centuries in Sentries (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32627, 150) --Charged Moganite (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32576, 200) --Competing Magic (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32551, 150) --Compy Stomp (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32543, 150) --Dangers of Za'Tual (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32539, 150) --Dark Offerings (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32537, 150) --De-Constructed (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32639, 150) --Deconstruction (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32554, 150) --Dino Might (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32553, 150) --Direhorn vs Devilsaur (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32585, 200) --Encroaching Force (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32573, 150) --Enemies Beneath the Tower (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32635, 150) --Enough with the Bombs!
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32559, 150) --Even Giants Fall (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32607, 400) --Extended Shore Leave (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32724, 200) --Forge Ahead! (different pages say either 200 or 400 rep gain)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32570, 150) --Gather Scout Reports (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32527, 150) --Grave Circumstances (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32540, 150) --Harbingers of the Loa (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32538, 150) --Heinous Sacrifice (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32631, 200) --High Recognition
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32581, 200) --Imposing Threat (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32528, 150) --Into the Crypts (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32546, 150) --Just Some Light Clean-Up Work (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32560, 150) --Keep It Secret (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32548, 150) --Left To Rot (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32552, 150) --Loa-saur (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32632, 150) --Made for War (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32638, 150) --Mana Scavengers (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32536, 150) --Manipulating the Saurok (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32586, 150) --Maximum Capacitor (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32301, 150) --Old Enemies (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32588, 150) --On Her Magic-ey Secret Service (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32557, 150) --Out of Enemy Hands (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32637, 150) --Overpowered (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32541, 150) --Preventing a Future Threat (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32544, 150) --Pterrible Ptorment (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32701, 1850) --Quest Reward Summary: PvE Stage 0-2 (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32703, 1900) --Quest Reward Summary: PvE Stage 3 (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32704, 2150) --Quest Reward Summary: PvE Stage 4-5 (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32700, 1250) --Quest Reward Summary: PvP Stage 1-5 (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32608, 400) --Raiding the Vault (different pages say either 200 or 400 rep gain)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32582, 200) --Raining Bones (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32532, 150) --Rise No More! (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32550, 150) --Saur Loser (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32526, 150) --Soul Surrender (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32633, 150) --Spellbound (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32533, 150) --Stone Cold (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32606, 150) --Subtle Encouragement (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32542, 150) --Surgical Strike (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32628, 150) --Tactical Mana Bombs (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32530, 150) --The Bloodletter (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32529, 150) --The Call of Thunder (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32531, 150) --The Conquest of Stone (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32547, 150) --The Creeping Carpet of Ihgaluk (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32556, 150) --The More You Know (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32545, 150) --The Residents of Ihgaluk (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32574, 150) --The Shuddering Moor (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32535, 150) --The Skumblade Threat (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32572, 150) --The Sleepless Legion (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32575, 150) --The Zandalari Colossus (rep confirmed Wowhead 23JUL2018)
	MFAC.AddQuest(faction.KirinTorOffensive, standing.Neutral, standing.Exalted, 32583, 200) --Zandalari on the Rise (rep confirmed Wowhead 23JUL2018)

	----------------------------------------------------------------------------------------------------------------
	-- Warlords of Draenor
	----------------------------------------------------------------------------------------------------------------

	-- Council Of Exarchs
	MFAC.AddItems(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, 1000, {[128315] = 1}) --Medallion of the Legion

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Aqualir (Rare)", 50, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Assistant Fexfuse", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Avalanche (Rare)", 50, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Brambleking Fili (Rare)", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Captain Killrath", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Controlled Darkwing", 5, zone.Shadowmoon_Valley_WoD); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Darktide Machinist", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Darktide Engineer/Guardian/Windstalker", 5, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Darktide Rylakinator-3000", 5, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Darkwing Adolescent", 1, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Darkwing Matron", 5, zone.Shadowmoon_Valley_WoD); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Demidos", 50, zone.Shadowmoon_Valley_WoD); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Eldermoss", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Fel Imp", 1, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Imp Servant", 1, zone.Shadowmoon_Valley_WoD); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Invokaz", 8, zone.Shadowmoon_Valley_WoD);
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Lady Temptessa (Rare)", 50, zone.Shadowmoon_Valley_WoD); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Malgosh Shadowkeeper (Rare)", 50, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Master Sergeant Milgra (Rare)", 50, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Nagidna (Rare)", 50, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Nightshade Consort", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Obedient Felhound", 1, zone.Shadowmoon_Valley_WoD); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Quartermaster Hershak (Rare)", 50, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Ra'ka Bloodspear", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Razz Ricketroz", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Reanimated Bones", 5, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Sargerei Acolyte/Binder/Demonspeaker/Initiate/Worker", 5, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Sargerei Darkblade", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Sargerei Demonlord", 16, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Shadowglen Spitter", 1, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Shadowglen Thornshooter", 5, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Shadowspeaker Niir (Rare)", 50, zone.Shadowmoon_Valley_WoD);
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Soulbinder Zamaya", 8, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Succubus", 1, zone.Shadowmoon_Valley_WoD); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Skeletal Ancestor", 5, zone.Spires_of_Arak); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Slivermaw (Rare)", 50, zone.Shadowmoon_Valley_WoD); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Soul-Twister Torek (Rare)", 50, zone.Spires_of_Arak); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Formless Nightmare", 50, zone.Spires_of_Arak); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Shadowmoon Void Augur/Enslaver/Defiler/Warrior", 5, zone.Spires_of_Arak); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Shadowmoon Deathcaller", 8, zone.Spires_of_Arak); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Void Beast", 15, zone.Spires_of_Arak); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Void Horror", 15, zone.Spires_of_Arak); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Void Fragment", 5, zone.Spires_of_Arak); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Void Spawn", 15, zone.Spires_of_Arak); --y

	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Void Alpha", 1, zone.Spires_of_Arak); --y
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Void Remnant", 5, zone.Spires_of_Arak);
	FIZ_AddMob(faction.CouncilOfExarchs, standing.Neutral, standing.Exalted, "Voidreaver Urnae", 50, zone.Spires_of_Arak); --y

	-- Hand of the Prophet (TODO)
	-- Sha'tari Defense (TODO)
	-- Wrynn's Vanguard (TODO) PvP
	----------------------------------------------------------------------------------------------------------------
	-- Legion
	----------------------------------------------------------------------------------------------------------------

	----------------------------------------------------------------------------------------------------------------
	-- Battle for Azeroth
	----------------------------------------------------------------------------------------------------------------

	-- 7th Legion
	MFAC.AddCurrency(faction.SeventhLegion, 1599); --7th Legion Commendation
	FIZ_AddGeneral(faction.SeventhLegion, standing.Neutral, standing.Exalted, MFAC.TXT.WorldQuests, 75, MFAC.TXT.WorldQuests, MFAC.TXT.WorldQuestsTip) -- World Quests
	FIZ_AddGeneral(faction.SeventhLegion, standing.Neutral, standing.Exalted, MFAC.TXT.WartimeDonations, 150, MFAC.TXT.WartimeDonations, MFAC.TXT.WartimeDonationsTip) -- Wartime Donations
	MFAC.AddQuest(faction.SeventhLegion, standing.Neutral, standing.Exalted, 50605, 1500) -- Alliance War Effort
	MFAC.AddQuest(faction.SeventhLegion, standing.Neutral, standing.Exalted, 53436, 1500) -- Azerite for the Alliance

	-- Storm's Wake
	MFAC.AddCurrency(faction.StormsWake, 1594); --Storm's Wake Commendation
	FIZ_AddGeneral(faction.StormsWake, standing.Neutral, standing.Exalted, MFAC.TXT.WorldQuests, 75, MFAC.TXT.WorldQuests, MFAC.TXT.WorldQuestsTip) -- World Quests
	MFAC.AddQuest(faction.StormsWake, standing.Neutral, standing.Exalted, 50601, 1500) -- Storm's Wake

	-- Order of Embers
	MFAC.AddCurrency(faction.OrderOfEmbers, 1592); --Order of Embers Commendation
	FIZ_AddGeneral(faction.OrderOfEmbers, standing.Neutral, standing.Exalted, MFAC.TXT.WorldQuests, 75, MFAC.TXT.WorldQuests, MFAC.TXT.WorldQuestsTip) -- World Quests
	MFAC.AddQuest(faction.OrderOfEmbers, standing.Neutral, standing.Exalted, 50600, 1500) -- Order of Embers
	MFAC.AddItems(faction.OrderOfEmbers, standing.Neutral, standing.Exalted, 250, {[174503] = 1}) -- Exotically Spiced Carrot

	-- Proudmoore Admiralty
	MFAC.AddCurrency(faction.ProudmooreAdmiralty, 1593); --Proudmoore Admiralty Commendation
	FIZ_AddGeneral(faction.ProudmooreAdmiralty, standing.Neutral, standing.Exalted, MFAC.TXT.WorldQuests, 75, MFAC.TXT.WorldQuests, MFAC.TXT.WorldQuestsTip) -- World Quests
	MFAC.AddQuest(faction.ProudmooreAdmiralty, standing.Neutral, standing.Exalted, 50599, 1500) -- Proudmoore Admiralty



		---	local preGC = collectgarbage("count")
	collectgarbage("collect")
---	print("Collected " .. (preGC-collectgarbage("count")) .. " kB of garbage fiz");
end

